DPDK patches and discussions
 help / color / mirror / Atom feed
From: Bruce Richardson <bruce.richardson@intel.com>
To: dev@dpdk.org
Cc: david.marchand@redhat.com, Bruce Richardson <bruce.richardson@intel.com>
Subject: [PATCH v2 3/3] devtools: enable kni library for test builds
Date: Fri,  7 Oct 2022 16:01:34 +0100	[thread overview]
Message-ID: <20221007150134.1110983-3-bruce.richardson@intel.com> (raw)
In-Reply-To: <20221007150134.1110983-1-bruce.richardson@intel.com>

While KNI (or any other deprecated library) may be disabled by default,
for build testing we need it enabled. Therefore explicitly set
"disable_libs" build parameter to empty for any DPDK build where the
value is not being explicitly set by the script.

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
 devtools/test-meson-builds.sh | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index e20a1c1df3..3a308bc9af 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -109,6 +109,11 @@ config () # <dir> <builddir> <meson options>
 		return
 	fi
 	options=
+	# deprecated libs may be disabled by default, so for complete builds ensure
+	# no libs are disabled
+	if ! echo $* | grep -q -- 'disable_libs' ; then
+		options="$options -Ddisable_libs="
+	fi
 	if echo $* | grep -qw -- '--default-library=shared' ; then
 		options="$options -Dexamples=all"
 	else
-- 
2.34.1


  parent reply	other threads:[~2022-10-07 15:01 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-05 14:34 [PATCH 1/2] kni: flag deprecated status at build time Bruce Richardson
2022-10-05 14:34 ` [PATCH 2/2] kni: add deprecation warning at runtime Bruce Richardson
2022-10-05 14:45 ` [PATCH 1/2] kni: flag deprecated status at build time Morten Brørup
2022-10-05 20:10 ` David Marchand
2022-10-07 10:34   ` Bruce Richardson
2022-10-07 11:08 ` David Marchand
2022-10-07 13:05   ` Bruce Richardson
2022-10-07 15:01 ` [PATCH v2 1/3] " Bruce Richardson
2022-10-07 15:01   ` [PATCH v2 2/3] kni: add deprecation warning at runtime Bruce Richardson
2022-10-07 19:34     ` David Marchand
2022-10-07 15:01   ` Bruce Richardson [this message]
2022-10-07 19:38     ` [PATCH v2 3/3] devtools: enable kni library for test builds David Marchand
2022-10-07 19:33   ` [PATCH v2 1/3] kni: flag deprecated status at build time David Marchand
2022-10-10 10:44 ` [PATCH v3 " Bruce Richardson
2022-10-10 10:44   ` [PATCH v3 2/3] kni: add deprecation warning at runtime Bruce Richardson
2022-10-10 10:44   ` [PATCH v3 3/3] devtools: enable kni library for test builds Bruce Richardson
2022-10-10 15:09   ` [PATCH v3 1/3] kni: flag deprecated status at build time David Marchand

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20221007150134.1110983-3-bruce.richardson@intel.com \
    --to=bruce.richardson@intel.com \
    --cc=david.marchand@redhat.com \
    --cc=dev@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).